Bug 361251 - Review Request: rubygem-activerecord - Implements the ActiveRecord pattern for ORM
Review Request: rubygem-activerecord - Implements the ActiveRecord pattern fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 361191
  Show dependency treegraph
 
Reported: 2007-10-31 21:58 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 18:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sseago: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-31 21:58:01 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activerecord.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activerecord-1.15.5-1.src.rpm

Description: 

Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties database
tables and classes together for business objects, like Customer or
Subscription, that can find, save, and destroy themselves without resorting to
manual SQL.
Comment 1 Scott Seago 2007-11-07 11:57:10 EST
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

??? - BuildRoot value: not sure if this is really a problem, but it
  looks like %{release} is omitted:

  BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
 vs.
             %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIX - CHANGELOG, RUNNING_UNIT_TESTS not installed as %doc
  general doc question: docs are included as regular gem
  files in %{geminstdir}, but not in %{_docdir}/%{name}-%{version} as
  in some of the packages Is there a clear preference for doc location?

FIX - rpmlint complains 
E: rubygem-activerecord non-executable-script
/usr/lib/ruby/gems/1.8/gems/activerecord-1.15.5/test/all.sh 0644
Comment 2 David Lutterkort 2007-11-13 23:40:26 EST
Fixed: buildroot
Fixed: marked things in geminstdir properly as %doc

Haven't fixed the complaint about the test script - since it's a test script I
don't want to force it to 644 for security reasons, but would prefer not to edit
out the #! to reduce divergence from upstream.

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activerecord.spec
SRPM URL:
http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activerecord-1.15.5-2.src.rpm
Comment 3 Scott Seago 2007-11-14 16:58:28 EST
Approved
Comment 4 David Lutterkort 2007-11-28 14:21:52 EST
New Package CVS Request
=======================
Package Name: rubygem-activerecord
Short Description: Implements the ActiveRecord pattern for ORM
Owners: lutter,sseago
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-28 18:26:17 EST
cvs done.
Comment 6 David Lutterkort 2007-12-03 18:50:41 EST
Successfully imported and built.

Note You need to log in before you can comment on or make changes to this bug.